# Midas-client

A Rust-based client library designed to interact with the `midas-server`, providing a streamlined interface for accessing data. It is built on top of the `mbinary` library for binary encoding, but offers a higher-level abstraction that enables both streaming data and saving it to binary MBN-encoded files.

## Features

- **Stream Data**: Fetch live or historical data directly from the `midas-server` in real-time.
- **Save to File**: Save data to a binary MBN-encoded file for efficient storage and retrieval.
- **Built on mbinary**: Leverages the high-performance binary encoding capabilities of the `mbinary` library.

## Installation

You can install `midas-client` directly from [PyPI](https://pypi.org/project/midas-client/):

```bash
pip install midas-client
```

## Documentation

Detailed documentation is coming soon. Stay tuned for examples and usage guides!

## Contributing

Contributions are welcome! Feel free to open issues or submit pull requests to improve the library.

## License

Licensed under the [Apache-2.0 License](LICENSE).
